Skip to main content

Get transfers list

GET https://wallet.paysera.com/transfer/rest/v1/transfers

Retrieve transfers filtered by specified criteria

Example queries:

  • Basic with limit: GET /transfers?limit=10
  • Date range: GET /transfers?created_date_from=1729425600&created_date_to=1729512000&limit=20
  • By status: GET /transfers?statuses[]=done&statuses[]=processing&limit=50
  • By account: GET /transfers?debit_account_number=EVP7654321&limit=20
  • Currency filter: GET /transfers?currency=EUR&limit=30
  • Pagination: GET /transfers?offset=20&limit=20
  • Sorting: GET /transfers?order_by=created_at&order_direction=desc&limit=20

Authorization

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters

Query Parameters

NameTypeRequiredDescription
created_date_fromintegerCreation timestamp from (Unix timestamp)
created_date_tointegerCreation timestamp to (Unix timestamp)
operation_date_fromintegerExecution timestamp from (Unix timestamp)
operation_date_tointegerExecution timestamp to (Unix timestamp)
credit_account_numberstringFilter by credit account number
debit_account_numberstringFilter by debit account number
statusesarrayFilter by transfer statuses
currencystringCurrency code
limitintegerMaximum number of results
offsetintegerPagination offset
order_bystringSort field
order_directionstringSort direction
afterstringCursor for pagination (after)
beforestringCursor for pagination (before)

Example

Request

GET https://wallet.paysera.com/transfer/rest/v1/transfers?created_date_from=1729425600&created_date_to=1729512000&operation_date_from=1729425600&operation_date_to=1729512000&credit_account_number=EVP1234567&debit_account_number=EVP7654321&statuses=done,processing&currency=EUR&limit=10&offset=value&order_by=created_at&order_direction=desc&after=value&before=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response

{
"transfers": [
{
"id": "000000001",
"status": "done",
"amount": {
"amount": "12.34",
"currency": "EUR"
},
"beneficiary": {
"type": "paysera",
"name": "Aida Aidavičiūtė",
"paysera_account": {
"phone": "+37061234567",
"account_number": "EVP6000000000001",
"user_id": 99999999
},
"iban_alias": "LT451234560000000001",
"iban": "LT451234560000000001"
},
"payer": {
"account_number": "EVP1111111111111",
"name": "Jonas Jonaitis",
"country_code": "lt",
"city": "Kaunas",
"street": "Vytauto g.",
"house": "12",
"apartment": "5"
},
"cancelable": true,
"allowed_to_cancel": false,
"purpose": {
"details": "Fake test transfer"
},
"initiator": {
"user_id": 12345678
},
"created_at": 1720000000,
"performed_at": 1720000360,
"perform_at": 1719993600,
"auto_currency_convert": false,
"auto_charge_related_card": false,
"auto_process_to_done": true,
"out_commission": {
"amount": "0.00",
"currency": "EUR"
},
"inspection_state": {
"state": null
},
"resolved_status": "completed"
}
],
"_metadata": {
"total": 663,
"limit": 1,
"offset": 0,
"has_next": true,
"has_previous": false
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
created_date_from
Creation timestamp from (Unix timestamp)
created_date_to
Creation timestamp to (Unix timestamp)
operation_date_from
Execution timestamp from (Unix timestamp)
operation_date_to
Execution timestamp to (Unix timestamp)
credit_account_number
Filter by credit account number
debit_account_number
Filter by debit account number
statuses
Filter by transfer statuses
currency
Currency code
limit
Maximum number of results
offset
Pagination offset
order_by
Sort field
order_direction
Sort direction
after
Cursor for pagination (after)
before
Cursor for pagination (before)

RESPONSE

Successful response
{
"transfers": [
{
"id": "000000001",
"status": "done",
"amount": {
"amount": "12.34",
"currency": "EUR"
},
"beneficiary": {
"type": "paysera",
"name": "Aida Aidavičiūtė",
"paysera_account": {
"phone": "+37061234567",
"account_number": "EVP6000000000001",
"user_id": 99999999
},
"iban_alias": "LT451234560000000001",
"iban": "LT451234560000000001"
},
"payer": {
"account_number": "EVP1111111111111",
"name": "Jonas Jonaitis",
"country_code": "lt",
"city": "Kaunas",
"street": "Vytauto g.",
"house": "12",
"apartment": "5"
},
"cancelable": true,
"allowed_to_cancel": false,
"purpose": {
"details": "Fake test transfer"
},
"initiator": {
"user_id": 12345678
},
"created_at": 1720000000,
"performed_at": 1720000360,
"perform_at": 1719993600,
"auto_currency_convert": false,
"auto_charge_related_card": false,
"auto_process_to_done": true,
"out_commission": {
"amount": "0.00",
"currency": "EUR"
},
"inspection_state": {
"state": null
},
"resolved_status": "completed"
}
],
"_metadata": {
"total": 663,
"limit": 1,
"offset": 0,
"has_next": true,
"has_previous": false
}
}